%define perl_major_ver %(eval `perl -V:version`; echo ${version%*.[0-9]*}.0)

Name:          perl-Tie-EncryptedHash
Version:       1.24
Release:       2mamba
Summary:       Tie::EncryptedHash - Hashes with encrypting fields
Group:         Development/Libraries/Perl
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.cpan.org
Source:        http://www.cpan.org/authors/id/V/VI/VIPUL/Tie-EncryptedHash-%{version}.tar.gz
License:       GPL
BuildRequires: perl-devel >= %perl_major_ver
Requires:      perl >= %perl_major_ver
BuildRequires: perl-Crypt-CBC
BuildRoot:     %{_tmppath}/perl-root

%description
Tie::EncryptedHash augments Perl hash semantics to build secure, encrypting containers of data.

%prep
%setup -q -n Tie-EncryptedHash-%{version}

%build
perl Makefile.PL PREFIX=%{_prefix} INSTALLDIRS=vendor

%make
make test

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall_perl
packlist=`find %{buildroot} -name .packlist`
[ -z "$packlist" ] && exit 1 || cat $packlist | \
   sed "s,%buildroot,,g;s,.*/man/.*,&.gz,g" | \
   sort -u > .packlist && rm $packlist

strid=`echo $packlist | sed 's,.*auto\(.*\)/.packlist,\1,'`
for dir in `find %{buildroot} -type d | grep $strid`; do
   echo "%dir ${dir#%buildroot}" >> .packlist
done

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
rm -f .packlist

%files -f .packlist
%defattr(-,root,root)

%changelog
* Tue Nov 13 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 1.24-2mamba
- perl 5.16 mass rebuild

* Sat Feb 07 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 1.24-1mamba
- automatic update by autodist

* Wed Nov 05 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 1.21-3mamba
- automatic rebuild by autodist

* Fri Sep 14 2007 Aleph0 <aleph0@openmamba.org> 1.21-2mamba
- spec file fixed and updated
- build requires perl-Crypt-CBC

* Thu May 06 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 1.21-1qilnx
- first build
